Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.ldap
Interface UnsolicitedNotification

All Superinterfaces:
  ExtendedResponse, HasControls, Serializable

    public interface UnsolicitedNotification

extends ExtendedResponse, HasControls

This interface represents an unsolicited notification as defined in RFC 2251. An unsolicited notification is sent by the LDAP server to the LDAP client without any provocation from the client. Its format is that of an extended response (`ExtendedResponse`).

Since:
  1.3
See Also:
  `ExtendedResponse`, `UnsolicitedNotificationEvent`, `UnsolicitedNotificationListener`

Method Summary
`NamingException` | `getException()` Retrieves the exception as constructed using information sent by the server.
`String[]` | `getReferrals()` Retrieves the referral(s) sent by the server.

Methods inherited from interface javax.naming.ldap.ExtendedResponse
`getEncodedValue, getID`

Methods inherited from interface javax.naming.ldap.HasControls
`getControls`

Method Detail

### getReferrals

    String[] getReferrals()

  Retrieves the referral(s) sent by the server.

  Returns:
    A possibly null array of referrals, each of which is represented by a URL string. If null, no referral was sent by the server.

### getException

    NamingException getException()

  Retrieves the exception as constructed using information sent by the server.

  Returns:
    A possibly null exception as constructed using information sent by the server. If null, a "success" status was indicated by the server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.